LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XDocumentEventListener Interface Reference

allows to be notified of events happening in an OfficeDocument More...

`import"XDocumentEventListener.idl";`

Inheritance diagram for XDocumentEventListener:

## Public Member Functions
void | documentEventOccured ([in] DocumentEvent Event)
| is called whenever a document event occurred More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows to be notified of events happening in an OfficeDocument

This interface is the successor of the XEventListener interface, which should not be used anymore.

See also
  XDocumentEventBroadcaster

Since
  OOo 3.1

## Member Function Documentation

## ◆ documentEventOccured()

void documentEventOccured | ( | [in] DocumentEvent | Event | ) |

is called whenever a document event occurred

The documentation for this interface was generated from the following file:

- com/sun/star/document/XDocumentEventListener.idl